Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticCompilationMopWriter

- org.codehaus.groovy.classgen.asm.sc.StaticCompilationMopWriter

-     public class StaticCompilationMopWriter
      extends MopWriter

  A MOP Writer that skips the generation of MOP methods. This writer is used when a class is *fully* statically compiled. In mixed mode, MOP methods are still generated.

  Since:
    2.4.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Factory` | `FACTORY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MopWriter` | `FACTORY, controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticCompilationMopWriter(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `createMopMethods()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MopWriter` | `createMopMethods, equalParameterTypes, generateMopCalls, getMopMethodName, isMopMethod`

- - ### Field Detail

    - #### public static final Factory FACTORY

  - ### Constructor Detail

    - #### public StaticCompilationMopWriter(WriterController wc)

  - ### Method Detail

    - #### @Override
      public void createMopMethods()